drm/bridge: adv7511: Switch to atomic operations
[drm/drm-misc.git] / tools / testing / selftests / net / netns-sysctl.sh
blob45c34a3b9aae32baa5830b655bd7ceade9e3ff26
1 #!/bin/bash -e
2 # SPDX-License-Identifier: GPL-2.0
4 # This test checks that the network buffer sysctls are present
5 # in a network namespaces, and that they are readonly.
7 source lib.sh
9 cleanup() {
10 cleanup_ns $test_ns
13 trap cleanup EXIT
15 fail() {
16 echo "ERROR: $*" >&2
17 exit 1
20 setup_ns test_ns
22 for sc in {r,w}mem_{default,max}; do
23 # check that this is writable in a netns
24 [ -w "/proc/sys/net/core/$sc" ] ||
25 fail "$sc isn't writable in the init netns!"
27 # change the value in the host netns
28 sysctl -qw "net.core.$sc=300000" ||
29 fail "Can't write $sc in init netns!"
31 # check that the value is read from the init netns
32 [ "$(ip netns exec $test_ns sysctl -n "net.core.$sc")" -eq 300000 ] ||
33 fail "Value for $sc mismatch!"
35 # check that this isn't writable in a netns
36 ip netns exec $test_ns [ -w "/proc/sys/net/core/$sc" ] &&
37 fail "$sc is writable in a netns!"
38 done
40 echo 'Test passed OK'